"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
require("core-js/modules/es.promise.js");
async function _default(response) {
  let responseType = response.headers.get('content-type');
  let data = null;
  if (responseType && responseType.indexOf('application/json') > -1) {
    let t = await response.text();
    try {
      data = JSON.parse(t);
    } catch (_unused) {
      data = t;
    }
  } else {
    data = await response.text();
  }
  if (response.ok) {
    if (data) return data;else return response;
  } else {
    if (data) throw data;else throw response;
  }
}